Blame 0076-systemd-module-setup.sh-only-create-empty-machine-id.patch
|
Harald Hoyer |
53e990 |
From af83b70cf27150d981844f508b55d50dd0cbc6c1 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
53e990 |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
53e990 |
Date: Fri, 22 Jun 2012 15:19:32 +0200
|
|
Harald Hoyer |
53e990 |
Subject: [PATCH] systemd/module-setup.sh: only create empty machine-id if non
|
|
Harald Hoyer |
53e990 |
existing
|
|
Harald Hoyer |
53e990 |
|
|
Harald Hoyer |
53e990 |
---
|
|
Harald Hoyer |
53e990 |
modules.d/98systemd/module-setup.sh | 4 +++-
|
|
Harald Hoyer |
53e990 |
1 file changed, 3 insertions(+), 1 deletion(-)
|
|
Harald Hoyer |
53e990 |
|
|
Harald Hoyer |
53e990 |
diff --git a/modules.d/98systemd/module-setup.sh b/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
53e990 |
index a6e2365..206f341 100755
|
|
Harald Hoyer |
53e990 |
--- a/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
53e990 |
+++ b/modules.d/98systemd/module-setup.sh
|
|
Harald Hoyer |
53e990 |
@@ -101,7 +101,9 @@ install() {
|
|
Harald Hoyer |
53e990 |
/etc/vconsole.conf \
|
|
Harald Hoyer |
53e990 |
/etc/locale.conf
|
|
Harald Hoyer |
53e990 |
else
|
|
Harald Hoyer |
53e990 |
- > "$initdir/etc/machine-id"
|
|
Harald Hoyer |
53e990 |
+ if ! [[ -e "$initdir/etc/machine-id" ]]; then
|
|
Harald Hoyer |
53e990 |
+ > "$initdir/etc/machine-id"
|
|
Harald Hoyer |
53e990 |
+ fi
|
|
Harald Hoyer |
53e990 |
fi
|
|
Harald Hoyer |
53e990 |
|
|
Harald Hoyer |
53e990 |
ln -fs $systemdutildir/systemd "$initdir/init"
|